Bug 603683 - faillog: Failed to get the entry for UID
Summary: faillog: Failed to get the entry for UID
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 603691 603692
TreeView+ depends on / blocked
 
Reported: 2010-06-14 11:06 UTC by Peter Vrabec
Modified: 2010-07-01 18:51 UTC (History)
2 users (show)

Fixed In Version: shadow-utils-4.1.4.2-7.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 603691 603692 (view as bug list)
Environment:
Last Closed: 2010-07-01 18:51:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (1.64 KB, patch)
2010-06-14 11:23 UTC, Peter Vrabec
no flags Details | Diff

Description Peter Vrabec 2010-06-14 11:06:39 UTC
Description of problem:
Integer underflow happens on x86_64 in faillog command when /var/log/faillog is empty file:
if (offset <= (statbuf.st_size - sizeof (fl))) 

How reproducible:
remove /var/log/faillog
touch /var/log/faillog
run faillog

  
Actual results:
faillog: Failed to get the entry for UID 0
faillog: Failed to get the entry for UID 1
faillog: Failed to get the entry for UID 2
faillog: Failed to get the entry for UID 3
faillog: Failed to get the entry for UID 4
faillog: Failed to get the entry for UID 5
...

Expected results:
Display only list of user faillog records who have ever had a login failure.

Comment 1 Peter Vrabec 2010-06-14 11:23:29 UTC
Created attachment 423796 [details]
fix

Comment 2 Fedora Update System 2010-06-14 11:33:14 UTC
shadow-utils-4.1.4.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/shadow-utils-4.1.4.2-7.fc13

Comment 3 Fedora Update System 2010-06-15 16:08:10 UTC
shadow-utils-4.1.4.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shadow-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/shadow-utils-4.1.4.2-7.fc13

Comment 4 Fedora Update System 2010-07-01 18:50:58 UTC
shadow-utils-4.1.4.2-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.